package domain


type AlibabaAelophyOrderGetOrderInfoExt struct {
    /*
        祝福语     */
    SubscribeMessage  *string `json:"subscribe_message,omitempty" `

    /*
        订购人电话, 虚拟小号; (商家自配送场景给出)     */
    SubscribePhone  *string `json:"subscribe_phone,omitempty" `

    /*
        会员卡号     */
    MemberCardNum  *string `json:"member_card_num,omitempty" `

}

func (s *AlibabaAelophyOrderGetOrderInfoExt) SetSubscribeMessage(v string) *AlibabaAelophyOrderGetOrderInfoExt {
    s.SubscribeMessage = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderInfoExt) SetSubscribePhone(v string) *AlibabaAelophyOrderGetOrderInfoExt {
    s.SubscribePhone = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderInfoExt) SetMemberCardNum(v string) *AlibabaAelophyOrderGetOrderInfoExt {
    s.MemberCardNum = &v
    return s
}
